devel/p5-MooseX-Object-Pluggable - The NetBSD Packages Collection

Perl 5 module to add plugin support to Moose classes via roles

The Perl 5 module MooseX::Object::Pluggable is meant to be loaded
as a role from Moose-based classes. It will add methods and attributes
to assist you with the loading and handling of plugins and extensions
for plugins.

Build dependencies

devel/p5-namespace-autoclean pkgtools/cwrappers

Runtime dependencies

devel/p5-Module-Pluggable devel/p5-Moose lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0earmv7hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0earmv7hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0i386p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0i386p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0i386p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0powerpcp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0powerpcp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0powerpcp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0x86_64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 8.0x86_64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0aarch64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0aarch64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0aarch64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0alphap5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0alphap5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0alphap5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmv6hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmv6hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmv6hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmv6hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmv7hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmv7hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmv7hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0earmv7hfp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0i386p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0i386p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0mips64ebp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0mips64ebp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0mips64ebp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0powerpcp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0powerpcp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0sh3elp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0sh3elp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0sparc64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0sparc64p5-MooseX-Object-Pluggable-0.0014nb5.tgz
NetBSD 9.0sparc64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0sparc64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0sparcp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0sparcp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0sparcp5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0x86_64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0x86_64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0x86_64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0x86_64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0x86_64p5-MooseX-Object-Pluggable-0.0014nb6.tgz
NetBSD 9.0x86_64p5-MooseX-Object-Pluggable-0.0014nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.